---
title: "GET Forecast-Hourly-locationId"
url: "https://developers.perryweather.com/apis/perry-weather-api-1/versions/3047a55b-c304-42f3-b6dc-7c3f59903b6e/paths/Forecast-Hourly-locationId/get"
---

> Full API specification: https://developers.perryweather.com/apis/perry-weather-api-1/versions/3047a55b-c304-42f3-b6dc-7c3f59903b6e.md

# /Forecast/Hourly/{locationId}

`GET` `/Forecast/Hourly/{locationId}`

## Path parameters

- `locationId` (string, uuid, required) - The location identifier.

## Query parameters

- `hours` (integer, int32, optional) - The number of hours to forecast, from 1 to 63. Defaults to 36.

## Header parameters

- `x-api-key` (string, required) - API key for authenticating requests. Create and manage keys in the Perry Weather dashboard under Integrations > Perry Weather APIs.

## Responses

- `200` - Success
- `400` - Bad Request
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Perry Weather API
  version: "1.1"
servers:
  - url: https://customer.api.perryweather.com/v1/
    description: Production Server
paths:
  /Forecast/Hourly/{locationId}:
    get:
      tags:
        - Forecast
      parameters:
        - name: x-api-key
          in: header
          description: API key for authenticating requests. Create and manage keys in the
            Perry Weather dashboard under Integrations > Perry Weather APIs.
          required: true
          schema:
            type: string
            example: YOUR-API-KEY
        - name: locationId
          in: path
          description: The location identifier.
          required: true
          schema:
            type: string
            format: uuid
        - name: hours
          in: query
          description: The number of hours to forecast, from 1 to 63. Defaults to 36.
          schema:
            type: integer
            format: int32
            default: 36
      responses:
        "200":
          description: Success
          content:
            text/plain:
              schema:
                title: HourlyForecastModel
                type: array
                items:
                  $ref: "#/components/schemas/HourlyForecastModel"
              example:
                - forecastTime: 2026-04-22T15:00:00Z
                  dayLight: true
                  ambientTemperature:
                    value: 70.3
                    unit: F
                    display: 70.3F
                  feelsLike:
                    value: 70.3
                    unit: F
                    display: 70.3F
                  wbgt:
                    value: 66.1
                    unit: F
                    display: 66.1F
                  humidity:
                    value: 53
                    unit: "%"
                    display: 53%
                  dewPoint:
                    value: 52.7
                    unit: F
                    display: 52.7F
                  windSpeed:
                    value: 8.1236
                    unit: mph
                    display: 8.1236mph
                  windDirection: S
                  windGust:
                    value: 16.4521
                    unit: mph
                    display: 16.4521mph
                  windGustDirection: SSW
                  precipitation:
                    value: 0
                    unit: in
                    display: 0in
                  precipitationChance:
                    value: 10
                    unit: "%"
                    display: 10%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
                - forecastTime: 2026-04-22T16:00:00Z
                  dayLight: true
                  ambientTemperature:
                    value: 71.9
                    unit: F
                    display: 71.9F
                  feelsLike:
                    value: 71.9
                    unit: F
                    display: 71.9F
                  wbgt:
                    value: 67.2
                    unit: F
                    display: 67.2F
                  humidity:
                    value: 49
                    unit: "%"
                    display: 49%
                  dewPoint:
                    value: 52.1
                    unit: F
                    display: 52.1F
                  windSpeed:
                    value: 9.8412
                    unit: mph
                    display: 9.8412mph
                  windDirection: SSW
                  windGust:
                    value: 18.2211
                    unit: mph
                    display: 18.2211mph
                  windGustDirection: SSW
                  precipitation:
                    value: 0.0118
                    unit: in
                    display: 0.0118in
                  precipitationChance:
                    value: 35
                    unit: "%"
                    display: 35%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
            application/json:
              schema:
                title: HourlyForecastModel
                type: array
                items:
                  $ref: "#/components/schemas/HourlyForecastModel"
              example:
                - forecastTime: 2026-04-22T15:00:00Z
                  dayLight: true
                  ambientTemperature:
                    value: 70.3
                    unit: F
                    display: 70.3F
                  feelsLike:
                    value: 70.3
                    unit: F
                    display: 70.3F
                  wbgt:
                    value: 66.1
                    unit: F
                    display: 66.1F
                  humidity:
                    value: 53
                    unit: "%"
                    display: 53%
                  dewPoint:
                    value: 52.7
                    unit: F
                    display: 52.7F
                  windSpeed:
                    value: 8.1236
                    unit: mph
                    display: 8.1236mph
                  windDirection: S
                  windGust:
                    value: 16.4521
                    unit: mph
                    display: 16.4521mph
                  windGustDirection: SSW
                  precipitation:
                    value: 0
                    unit: in
                    display: 0in
                  precipitationChance:
                    value: 10
                    unit: "%"
                    display: 10%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
                - forecastTime: 2026-04-22T16:00:00Z
                  dayLight: true
                  ambientTemperature:
                    value: 71.9
                    unit: F
                    display: 71.9F
                  feelsLike:
                    value: 71.9
                    unit: F
                    display: 71.9F
                  wbgt:
                    value: 67.2
                    unit: F
                    display: 67.2F
                  humidity:
                    value: 49
                    unit: "%"
                    display: 49%
                  dewPoint:
                    value: 52.1
                    unit: F
                    display: 52.1F
                  windSpeed:
                    value: 9.8412
                    unit: mph
                    display: 9.8412mph
                  windDirection: SSW
                  windGust:
                    value: 18.2211
                    unit: mph
                    display: 18.2211mph
                  windGustDirection: SSW
                  precipitation:
                    value: 0.0118
                    unit: in
                    display: 0.0118in
                  precipitationChance:
                    value: 35
                    unit: "%"
                    display: 35%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
            text/json:
              schema:
                title: HourlyForecastModel
                type: array
                items:
                  $ref: "#/components/schemas/HourlyForecastModel"
              example:
                - forecastTime: 2026-04-22T15:00:00Z
                  dayLight: true
                  ambientTemperature:
                    value: 70.3
                    unit: F
                    display: 70.3F
                  feelsLike:
                    value: 70.3
                    unit: F
                    display: 70.3F
                  wbgt:
                    value: 66.1
                    unit: F
                    display: 66.1F
                  humidity:
                    value: 53
                    unit: "%"
                    display: 53%
                  dewPoint:
                    value: 52.7
                    unit: F
                    display: 52.7F
                  windSpeed:
                    value: 8.1236
                    unit: mph
                    display: 8.1236mph
                  windDirection: S
                  windGust:
                    value: 16.4521
                    unit: mph
                    display: 16.4521mph
                  windGustDirection: SSW
                  precipitation:
                    value: 0
                    unit: in
                    display: 0in
                  precipitationChance:
                    value: 10
                    unit: "%"
                    display: 10%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
                - forecastTime: 2026-04-22T16:00:00Z
                  dayLight: true
                  ambientTemperature:
                    value: 71.9
                    unit: F
                    display: 71.9F
                  feelsLike:
                    value: 71.9
                    unit: F
                    display: 71.9F
                  wbgt:
                    value: 67.2
                    unit: F
                    display: 67.2F
                  humidity:
                    value: 49
                    unit: "%"
                    display: 49%
                  dewPoint:
                    value: 52.1
                    unit: F
                    display: 52.1F
                  windSpeed:
                    value: 9.8412
                    unit: mph
                    display: 9.8412mph
                  windDirection: SSW
                  windGust:
                    value: 18.2211
                    unit: mph
                    display: 18.2211mph
                  windGustDirection: SSW
                  precipitation:
                    value: 0.0118
                    unit: in
                    display: 0.0118in
                  precipitationChance:
                    value: 35
                    unit: "%"
                    display: 35%
                  snowAccumulation:
                    value: 0
                    unit: in
                    display: 0in
        "400":
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            text/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
        "404":
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            text/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
security:
  - ApiKeyAuth: []
components:
  schemas:
    HourlyForecastModel:
      type: object
      properties:
        forecastTime:
          type: string
          format: date-time
          nullable: true
        dayLight:
          type: boolean
        ambientTemperature:
          $ref: "#/components/schemas/ValueUnit"
        feelsLike:
          $ref: "#/components/schemas/ValueUnit"
        wbgt:
          $ref: "#/components/schemas/ValueUnit"
        humidity:
          $ref: "#/components/schemas/ValueUnit"
        dewPoint:
          $ref: "#/components/schemas/ValueUnit"
        windSpeed:
          $ref: "#/components/schemas/ValueUnit"
        windDirection:
          type: string
          nullable: true
        windGust:
          $ref: "#/components/schemas/ValueUnit"
        windGustDirection:
          type: string
          nullable: true
        precipitation:
          $ref: "#/components/schemas/ValueUnit"
        precipitationChance:
          $ref: "#/components/schemas/ValueUnit"
        snowAccumulation:
          $ref: "#/components/schemas/ValueUnit"
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ValueUnit:
      type: object
      properties:
        value:
          type: number
          format: double
        unit:
          type: string
          nullable: true
        display:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key for authenticating requests. Create and manage keys in the
        Perry Weather dashboard under Integrations > Perry Weather APIs.
      name: x-api-key
      in: header
```
